WPSList::Level Struct Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | Friends | List of all members
WPSList::Level Struct Reference

small structure to keep information about a level More...

`#include <WPSList.h>`

## Public Member Functions
| Level ()
| basic constructor More...
bool | isDefault () const
| returns true if the level type was not set More...
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman More...
void | addTo (librevenge::RVNGPropertyList &propList, int startVal) const
| add the information of this level in the propList More...
bool | isSendToInterface () const
| returns true, if addTo has been called More...
void | resetSendToInterface () const
| reset the sendToInterface flag More...
int | getStartValue () const
| returns the start value (if set) or 1 More...
int | cmp (Level const &levl) const
| full comparison function More...
int | cmpType (Level const &levl) const
| type comparison function More...

## Public Attributes
double | m_labelIndent
| the list indent More...
double | m_labelWidth
| the list width More...
int | m_startValue
| the actual value (if this is an ordered level ) More...
libwps::NumberingType | m_type
| the type of the level More...
librevenge::RVNGString | m_prefix
| string which preceedes the number if we have an ordered level More...
librevenge::RVNGString | m_suffix
| string which follows the number if we have an ordered level More...
librevenge::RVNGString | m_bullet
| the bullet if we have an bullet level More...

## Protected Attributes
bool | m_sendToInterface
| true if it is already send to librevenge::RVNGTextInterface More...

## Friends
std::ostream & | operator<< (std::ostream &o, Level const &ft)
| operator<< More...

## Detailed Description

small structure to keep information about a level

## Constructor & Destructor Documentation

## ◆ Level()

WPSList::Level::Level | ( |  | ) |
| inline

basic constructor

## Member Function Documentation

## ◆ addTo()

void WPSList::Level::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | int | startVal
| ) |  | const

add the information of this level in the propList

Referenced by isNumeric().

## ◆ cmp()

int WPSList::Level::cmp | ( | WPSList::Level const & | levl | ) | const

full comparison function

Referenced by getStartValue().

## ◆ cmpType()

int WPSList::Level::cmpType | ( | WPSList::Level const & | levl | ) | const

type comparison function

Referenced by cmp(), getStartValue(), and WPSList::set().

## ◆ getStartValue()

int WPSList::Level::getStartValue | ( |  | ) | const
| inline

returns the start value (if set) or 1

Referenced by WPSList::set().

## ◆ isDefault()

bool WPSList::Level::isDefault | ( |  | ) | const
| inline

returns true if the level type was not set

## ◆ isNumeric()

bool WPSList::Level::isNumeric | ( |  | ) | const
| inline

returns true if the list is decimal, alpha or roman

Referenced by WPSList::closeElement(), WPSList::openElement(), and WPS8TextStyle::readParagraph().

## ◆ isSendToInterface()

bool WPSList::Level::isSendToInterface | ( |  | ) | const
| inline

returns true, if addTo has been called

Referenced by WPSList::mustSendLevel().

## ◆ resetSendToInterface()

void WPSList::Level::resetSendToInterface | ( |  | ) | const
| inline

reset the sendToInterface flag

Referenced by WPSList::setId().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSList::Level const & | ft
| ) |  |
| friend

operator<<

Referenced by getStartValue().

## Member Data Documentation

## ◆ m_bullet

librevenge::RVNGString WPSList::Level::m_bullet

the bullet if we have an bullet level

Referenced by addTo(), cmp(), cmpType(), operator<<(), WPS8TextStyle::readParagraph(), and WPS4Text::readParagraph().

## ◆ m_labelIndent

double WPSList::Level::m_labelIndent

the list indent

Referenced by addTo(), cmp(), operator<<(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and WPSContentListener::setParagraph().

## ◆ m_labelWidth

double WPSList::Level::m_labelWidth

the list width

Referenced by addTo(), cmp(), operator<<(), and WPSContentListener::setParagraph().

## ◆ m_prefix

librevenge::RVNGString WPSList::Level::m_prefix

string which preceedes the number if we have an ordered level

Referenced by addTo(), cmpType(), and operator<<().

## ◆ m_sendToInterface

bool WPSList::Level::m_sendToInterface
| mutableprotected

true if it is already send to librevenge::RVNGTextInterface

Referenced by addTo(), isSendToInterface(), and resetSendToInterface().

## ◆ m_startValue

int WPSList::Level::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), operator<<(), WPS8TextStyle::readParagraph(), and WPSList::set().

## ◆ m_suffix

librevenge::RVNGString WPSList::Level::m_suffix

string which follows the number if we have an ordered level

Referenced by addTo(), cmpType(), operator<<(), and WPS8TextStyle::readParagraph().

## ◆ m_type

libwps::NumberingType WPSList::Level::m_type

the type of the level

Referenced by addTo(), cmpType(), isDefault(), isNumeric(), operator<<(), WPS8TextStyle::readParagraph(), and WPS4Text::readParagraph().

The documentation for this struct was generated from the following files:

- WPSList.h
- WPSList.cpp